#########################################
The :class:`Date Handler` Classes
#########################################

DateParser
====================================
.. automodule:: DateHandler._DateParser
.. autoclass:: DateParser
   :members:
   :undoc-members:
   :show-inheritance:

DateDisplay
====================================
.. automodule:: DateHandler._DateDisplay
.. autoclass:: DateDisplay
   :members:
   :undoc-members:
   :show-inheritance:
.. autoclass:: DateDisplayEn
   :members:
   :undoc-members:
   :show-inheritance:

DateUtils
====================================
.. automodule:: DateHandler._DateUtils
   :members:
   :undoc-members:
   :show-inheritance:

DateHandler
====================================
.. automodule:: DateHandler._DateHandler
   :members:
   :undoc-members:
   :show-inheritance:

Localized Date Handlers
====================================

*****************************
DateHandler (Bulgarian)
*****************************
.. autoclass:: DateHandler._Date_bg.DateParserBG
   :members:
   :undoc-members:
   :show-inheritance:
.. autoclass:: DateHandler._Date_bg.DateDisplayBG
   :members:
   :undoc-members:
   :show-inheritance: 

*****************************
DateHandler (Catalan)
*****************************
.. autoclass:: DateHandler._Date_ca.DateParserCA
   :members:
   :undoc-members:
   :show-inheritance:
.. autoclass:: DateHandler._Date_ca.DateDisplayCA
   :members:
   :undoc-members:
   :show-inheritance:

*****************************
DateHandler (Czech)
*****************************
.. autoclass:: DateHandler._Date_cs.DateParserCZ
   :members:
   :undoc-members:
   :show-inheritance:
.. autoclass:: DateHandler._Date_cs.DateDisplayCZ
   :members:
   :undoc-members:
   :show-inheritance:

*****************************
DateHandler (German)
*****************************
.. autoclass:: DateHandler._Date_de.DateParserDE
   :members:
   :undoc-members:
   :show-inheritance:
.. autoclass:: DateHandler._Date_de.DateDisplayDE
   :members:
   :undoc-members:
   :show-inheritance:

*****************************
DateHandler (Spanish)
*****************************
.. autoclass:: DateHandler._Date_es.DateParserES
   :members:
   :undoc-members:
   :show-inheritance:
.. autoclass:: DateHandler._Date_es.DateDisplayES
   :members:
   :undoc-members:
   :show-inheritance: 

*****************************
DateHandler (Finnish)
*****************************
.. autoclass:: DateHandler._Date_fi.DateParserFI
   :members:
   :undoc-members:
   :show-inheritance:
.. autoclass:: DateHandler._Date_fi.DateDisplayFI
   :members:
   :undoc-members:
   :show-inheritance: 

*****************************
DateHandler (French)
*****************************
.. autoclass:: DateHandler._Date_fr.DateParserFR
   :members:
   :undoc-members:
   :show-inheritance:
.. autoclass:: DateHandler._Date_fr.DateDisplayFR
   :members:
   :undoc-members:
   :show-inheritance: 

*****************************
DateHandler (Croatian)
*****************************
.. autoclass:: DateHandler._Date_hr.DateParserHR
   :members:
   :undoc-members:
   :show-inheritance:
.. autoclass:: DateHandler._Date_hr.DateDisplayHR
   :members:
   :undoc-members:
   :show-inheritance:

*****************************
DateHandler (Italian)
*****************************
.. autoclass:: DateHandler._Date_it.DateParserIT
   :members:
   :undoc-members:
   :show-inheritance:
.. autoclass:: DateHandler._Date_it.DateDisplayIT
   :members:
   :undoc-members:
   :show-inheritance: 

*****************************
DateHandler (Lituanian)
*****************************
.. autoclass:: DateHandler._Date_lt.DateParserLT
   :members:
   :undoc-members:
   :show-inheritance:
.. autoclass:: DateHandler._Date_lt.DateDisplayLT
   :members:
   :undoc-members:
   :show-inheritance:  

*****************************
DateHandler (Norwegian)
*****************************
.. autoclass:: DateHandler._Date_nb.DateParserNb
   :members:
   :undoc-members:
   :show-inheritance:
.. autoclass:: DateHandler._Date_nb.DateDisplayNb
   :members:
   :undoc-members:
   :show-inheritance: 

*****************************
DateHandler (Dutch)
*****************************
.. autoclass:: DateHandler._Date_nl.DateParserNL
   :members:
   :undoc-members:
   :show-inheritance:
.. autoclass:: DateHandler._Date_nl.DateDisplayNL
   :members:
   :undoc-members:
   :show-inheritance: 

*****************************
DateHandler (Polish)
*****************************
.. autoclass:: DateHandler._Date_pl.DateParserPL
   :members:
   :undoc-members:
   :show-inheritance:
.. autoclass:: DateHandler._Date_pl.DateDisplayPL
   :members:
   :undoc-members:
   :show-inheritance:

*****************************
DateHandler (Portuguese)
*****************************
.. autoclass:: DateHandler._Date_pt.DateParserPT
   :members:
   :undoc-members:
   :show-inheritance:
.. autoclass:: DateHandler._Date_pt.DateDisplayPT
   :members:
   :undoc-members:
   :show-inheritance:

*****************************
DateHandler (Russian)
*****************************
.. autoclass:: DateHandler._Date_ru.DateParserRU
   :members:
   :undoc-members:
   :show-inheritance:
.. autoclass:: DateHandler._Date_ru.DateDisplayRU
   :members:
   :undoc-members:
   :show-inheritance:

*****************************
DateHandler (Slovak)
*****************************
.. autoclass:: DateHandler._Date_sk.DateParserSK
   :members:
   :undoc-members:
   :show-inheritance:
.. autoclass:: DateHandler._Date_sk.DateDisplaySK
   :members:
   :undoc-members:
   :show-inheritance:

*****************************
DateHandler (Slovenian)
*****************************
.. autoclass:: DateHandler._Date_sl.DateParserSL
   :members:
   :undoc-members:
   :show-inheritance:
.. autoclass:: DateHandler._Date_sl.DateDisplaySL
   :members:
   :undoc-members:
   :show-inheritance:

*****************************
DateHandler (Serbian)
*****************************
.. autoclass:: DateHandler._Date_sr.DateParserSR
   :members:
   :undoc-members:
   :show-inheritance:
.. autoclass:: DateHandler._Date_sr.DateDisplaySR_latin
   :members:
   :undoc-members:
   :show-inheritance:

*****************************
DateHandler (Swedish)
*****************************
.. autoclass::  DateHandler._Date_sv.DateParserSv
   :members:
   :undoc-members:
   :show-inheritance:
.. autoclass::  DateHandler._Date_sv.DateDisplaySv
   :members:
   :undoc-members:
   :show-inheritance:

#########################################
The :class:`Date Edition` Classes
#########################################

DateEdit
====================================
.. automodule:: DateEdit
   :members:
   :undoc-members:
   :show-inheritance:
